Delete a token for stored payment details
https://checkout-test.adyen.com/v70/storedPaymentMethods/{recurringId}Deletes the token identified in the path. The token can no longer be used with payment requests.
Path Parameters
The unique identifier of the token.
Query Params
Your reference to uniquely identify this shopper, for example user ID or account ID. Minimum length: 3 characters. > Your reference must not include personally identifiable information (PII), for example name or email address.
Your merchant account.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://checkout-test.adyen.com/v70/storedPaymentMethods/{recurringId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}